{
	Init[ (s)
	{
		SetPickupable(true);
		SetAutoPickup(true);
		SetUseText(234);

		SetWeaponClass(0);

		SetHasZoom(true);
		SetScoped(false);
		SetIsThrown(false);
		SetIsLaunched(false);
		SetAllowReload(true);
		SetIsAutomatic(false);
		SetCanBash(true);

		SetWielderMovement(384);
		// SetShootSound(6);
		// SetReloadFrames(11);
		SetReloadSpeed(425);
		SetClipSize(8);
		SetFireRate(42);
	} ]

}